summaryrefslogtreecommitdiff
path: root/dev-python/aiohttp
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-15 06:44:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-15 06:44:36 +0000
commitc684908fc73b5a43cb66c3ad73b6962511348ba3 (patch)
tree10a20c886e151880f060da8dfaae1d19ad02cc52 /dev-python/aiohttp
parent78dcd13fb22498c4f5a362058c4a16f67cf65006 (diff)
downloadbaldeagleos-repo-c684908fc73b5a43cb66c3ad73b6962511348ba3.tar.gz
baldeagleos-repo-c684908fc73b5a43cb66c3ad73b6962511348ba3.tar.xz
baldeagleos-repo-c684908fc73b5a43cb66c3ad73b6962511348ba3.zip
Adding metadata
Diffstat (limited to 'dev-python/aiohttp')
-rw-r--r--dev-python/aiohttp/Manifest1
-rw-r--r--dev-python/aiohttp/aiohttp-3.11.2.ebuild132
2 files changed, 133 insertions, 0 deletions
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 1406115d720d..23b25b288893 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -3,3 +3,4 @@ DIST aiohttp-3.11.0.tar.gz 7656057 BLAKE2B b100001a4af53baa3698e1cef11a7f3d4c693
DIST aiohttp-3.11.0rc0.tar.gz 7621610 BLAKE2B a7ef4a7d373bd87155519bd71c396e24224120efeb07dbb173081e034411f4d1e694015d3599d30856e0a80a4d5d43b8d8ee6cdec1d6d19f2dc2940f7271c910 SHA512 3f34c54683b75a0727dd541a1a01a0621aba52f235b32490ccec6656ffbde39224b38b99e58cd62d4e64e43b378e87424a2f9c146f8c6f158ecb226f0e91aae1
DIST aiohttp-3.11.0rc1.tar.gz 7653785 BLAKE2B 070dba6f84b7924f5129b9a022de98ef9586d35cc188a38229d77d5598cf322931687c5295f322f8aca28a8fcf7da1d30e021d4dd2b8aa9327c1c60084423480 SHA512 3ed987c6f0fe53373b5f3cb0b3858fdc216d029f8b6f205ed3fc234e2474b77fd245ad39a86f607616878499d88b607b72f68cae02f95b2073f3dc1ac3fe8d5b
DIST aiohttp-3.11.0rc2.tar.gz 7655719 BLAKE2B 3fc553c3ff927861bd280401cc6741c6bd720c4ac0827db40230270cf3bf2f30a0bfdb3d933227ffb2b22800ddc6e2d6b045277c1c8bf9fb8467b1582a3dcedb SHA512 d6f5c6ef50ce333106071dbd33d57e49be638e9d6855a9c5dc6f9b7e87063319d314f70186d7df0e09f3e7ecf4bee40da44af0dccf9124d6c6c16c5f98e9fee8
+DIST aiohttp-3.11.2.tar.gz 7658216 BLAKE2B f371bfcac2fc300119d33024b4d026fa204976259becc4fdf98bf785f7658589fe3de2cae49ef71a3b299eb12a79d24048b82364c03fa09138a5a42c6daed73c SHA512 7e4dac852e47999a1e6ae47a3a124ad97ad0cb7b4a9e0b4746c0cca4156267ed0cceed86722de78550cb4ff0f54580db44318c1bd4b486e8e94ff84d98dfa56e
diff --git a/dev-python/aiohttp/aiohttp-3.11.2.ebuild b/dev-python/aiohttp/aiohttp-3.11.2.ebuild
new file mode 100644
index 000000000000..1ef6bd66ab75
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.11.2.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions test-rust"
+
+RDEPEND="
+ >=dev-python/aiodns-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/aiohappyeyeballs-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/aiosignal-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/propcache-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.17.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ <dev-python/async-timeout-6[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/pytest_cov/d' -e '/xfail_strict/d' setup.cfg || die
+ sed -i -e 's:-Werror::' Makefile || die
+
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ if [[ ! -d tools && ${EPYTHON} != pypy3 ]] && use native-extensions
+ then
+ # workaround missing files
+ mkdir tools || die
+ > requirements/cython.txt || die
+ > tools/gen.py || die
+ chmod +x tools/gen.py || die
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+ fi
+}
+
+python_compile() {
+ # implicitly disabled for pypy3
+ if ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ # benchmarks
+ tests/test_benchmarks_client.py
+ tests/test_benchmarks_client_request.py
+ tests/test_benchmarks_client_ws.py
+ tests/test_benchmarks_cookiejar.py
+ tests/test_benchmarks_http_websocket.py
+ tests/test_benchmarks_http_writer.py
+ tests/test_benchmarks_web_middleware.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ )
+
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch
+ if [[ ${EPYTHON} == pypy3 ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin
+ rm -rf aiohttp || die
+ epytest -m "not internal and not dev_mode" \
+ -p rerunfailures --reruns=5
+}